curl "https://production.methodfi.com/reports?from_date=2024-03-13&to_date=2024-03-15" \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reports = await method.reports.list({
from_date: '2024-03-13',
to_date: '2024-03-15',
});
reports = method.reports.list({
'from_date': '2024-03-13',
'to_date': '2024-03-15'
})
{
"data": [
{
"id": "rpt_cj2mkA3hFyHT5",
"type": "payments.created.current",
"url": "https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download",
"status": "completed",
"metadata": null,
"created_at": "2021-08-25T23:18:05.261Z",
"updated_at": "2021-08-25T23:18:05.261Z"
}
]
}
Reports
List all Reports
GET
/
reports
curl "https://production.methodfi.com/reports?from_date=2024-03-13&to_date=2024-03-15" \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reports = await method.reports.list({
from_date: '2024-03-13',
to_date: '2024-03-15',
});
reports = method.reports.list({
'from_date': '2024-03-13',
'to_date': '2024-03-15'
})
{
"data": [
{
"id": "rpt_cj2mkA3hFyHT5",
"type": "payments.created.current",
"url": "https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download",
"status": "completed",
"metadata": null,
"created_at": "2021-08-25T23:18:05.261Z",
"updated_at": "2021-08-25T23:18:05.261Z"
}
]
}
Returns a paginated list of the Reports associated with your team,
or an empty array if none have been created.
Query Parameters
Returns
Returns a paginated list of Report objects.curl "https://production.methodfi.com/reports?from_date=2024-03-13&to_date=2024-03-15" \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reports = await method.reports.list({
from_date: '2024-03-13',
to_date: '2024-03-15',
});
reports = method.reports.list({
'from_date': '2024-03-13',
'to_date': '2024-03-15'
})
{
"data": [
{
"id": "rpt_cj2mkA3hFyHT5",
"type": "payments.created.current",
"url": "https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download",
"status": "completed",
"metadata": null,
"created_at": "2021-08-25T23:18:05.261Z",
"updated_at": "2021-08-25T23:18:05.261Z"
}
]
}
⌘I